File a case
curl --request POST \
--url https://api.decisionly.com/v2/issuer/cases/{case_id}/file \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"file_mode": "auto",
"queue_if_too_early": false
}
'import requests
url = "https://api.decisionly.com/v2/issuer/cases/{case_id}/file"
payload = {
"file_mode": "auto",
"queue_if_too_early": False
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({file_mode: 'auto', queue_if_too_early: false})
};
fetch('https://api.decisionly.com/v2/issuer/cases/{case_id}/file', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}v2 Cases
File a case
Files a case with the card network. The case must be in ‘created’ status to be filed.
POST
/
v2
/
issuer
/
cases
/
{case_id}
/
file
File a case
Authorizations
Use your API key as the username. No password is required.
Path Parameters
Body
application/json
Filing mode. Use 'auto' to evaluate workflow rules and determine if the case should be filed, or 'chargeback' to file the case regardless of workflow rules.
Available options:
chargeback, auto Example:
"auto"
If true and the case is blocked only by a network waiting period (filing_too_early), the case is queued instead of rejected and is filed automatically once the waiting period has passed. Has no effect when the case fails validation for any other reason. See Filing a Dispute.
Example:
false
Response
Accepted. The filing process has been initiated. Also returned when queue_if_too_early is true and the case was queued for filing instead.